Skip to main content

O Auth

View as Markdown

Configure OAuth 2.0 application registrations for Databricks

List Published O Auth Apps GA

GET /api/2.0/accounts/{account_id}/oauth2/published-apps

Get all the available published OAuth apps in <Databricks>.

API scopes: authentication

Parameters

account_idstringpath

The account ID.

page_tokenstringquery

A token that can be used to get the next page of results.

page_sizeint32query

The max number of OAuth published apps to return in one page.

Default: 100

Constraints: [ 1 .. 100 ]

Response

appsarray of object

List of Published OAuth Apps.

Show child attributesHide child attributes
app_idstring

Unique ID of the published OAuth app.

Example: 01234567-1234-5678-90ab-76543210

client_idstring

Client ID of the published OAuth app. It is the client_id in the OAuth flow

Example: databricks-cli

namestring

The display name of the published OAuth app.

Example: Databricks CLI

descriptionstring

Description of the published OAuth app.

is_confidential_clientboolean

Whether the published OAuth app is a confidential client. It is always false for published OAuth apps.

Default: false

redirect_urlsarray of string

Redirect URLs of the published OAuth app.

scopesarray of string

Required scopes for the published OAuth app.

next_page_tokenstring

A token that can be used to get the next page of results. If not present, there are no more results to show.